<template lang="pug">
  div(id="text-editor")
</template>

<script>
import * as monaco from 'monaco-editor';

export default {
  name: 'HelloWorld',
  data () {
    return {
      language: null
    }
  },
  mounted () {
    this.language = 'javascript'

    self.MonacoEnvironment = {
      getWorkerUrl: function (moduleId, label) {
        if (label === 'json') {
          return './json.worker.bundle.js';
        }
        if (label === 'css') {
          return './css.worker.bundle.js';
        }
        if (label === 'html') {
          return './html.worker.bundle.js';
        }
        if (label === 'typescript' || label === 'javascript') {
          return './ts.worker.bundle.js';
        }
        return './editor.worker.bundle.js';
      }
    }

    monaco.editor.create(document.getElementById('text-editor'), {
      value: [''].join('\n'),
      language: this.language
    });
  }
}
</script>

<style lang="sass">
.monaco-editor
  .overflowingContentWidgets
    position: fixed
</style>


<style lang="sass" scoped>
#text-editor
  width: 100%
  height: 100%
  & > div
    width: inherit
    height: inherit
</style>
